Get Budget
GET /budgets/{workspace_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
workspace_id | path | string (uuid) | required | — |
period | query | month | day | optional | Default "month". |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | BudgetView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/budgets/{workspace_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — BudgetView
Section titled “Response — BudgetView”| Field | Type | Notes | |
|---|---|---|---|
workspace_id | string (uuid) | required | — |
period | month | day | required | — |
limit_amount | string | null | optional | — |
currency | string | optional | Default "USD". |
is_enforced | boolean | optional | Default false. |
alert_threshold_pct | integer | optional | Default 80. |
period_start | string (date) | required | — |